Package org.linphone.core

# Enum Class PresenceBasicStatus

java.lang.Object
java.lang.Enum<PresenceBasicStatus>
org.linphone.core.PresenceBasicStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<PresenceBasicStatus>`, `Constable`

public enum PresenceBasicStatus extends Enum<PresenceBasicStatus>
Basic status as defined in section 4.1.4 of RFC 3863.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Closed`
This value means that the associated contact element, if any, is unable to
accept communication.
`Open`
This value means that the associated contact element, if any, is ready to
accept communication.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static PresenceBasicStatus`
`fromInt(int value)`
`protected static PresenceBasicStatus[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(PresenceBasicStatus[] values)`
`static PresenceBasicStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PresenceBasicStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Open

public static final PresenceBasicStatus Open
This value means that the associated contact element, if any, is ready to
accept communication.

### Closed

public static final PresenceBasicStatus Closed
This value means that the associated contact element, if any, is unable to
accept communication.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static PresenceBasicStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PresenceBasicStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static PresenceBasicStatus fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static PresenceBasicStatus[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(PresenceBasicStatus[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()